Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.orm.hibernate4
Class SpringJtaSessionContext

    java.lang.Object
      org.hibernate.context.internal.JTASessionContext
          org.springframework.orm.hibernate4.SpringJtaSessionContext

All Implemented Interfaces:
  Serializable, org.hibernate.context.spi.CurrentSessionContext

    public class SpringJtaSessionContext

extends org.hibernate.context.internal.JTASessionContext

Spring-specific subclass of Hibernate's JTASessionContext, setting `FlushMode.MANUAL` for read-only transactions.

Since:
  3.1
Author:
  Juergen Hoeller
See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class org.hibernate.context.internal.JTASessionContext
`org.hibernate.context.internal.JTASessionContext.CleanupSynch`

Field Summary

Fields inherited from class org.hibernate.context.internal.JTASessionContext
`factory`

Constructor Summary
`SpringJtaSessionContext(org.hibernate.engine.spi.SessionFactoryImplementor factory)`

Method Summary
`protected Session` | `buildOrObtainSession()`

Methods inherited from class org.hibernate.context.internal.JTASessionContext
`currentSession, getConnectionReleaseMode, isAutoCloseEnabled, isAutoFlushEnabled`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SpringJtaSessionContext

    public SpringJtaSessionContext(org.hibernate.engine.spi.SessionFactoryImplementor factory)

Method Detail

### buildOrObtainSession

    protected Session buildOrObtainSession()

  Overrides:
    `buildOrObtainSession` in class `org.hibernate.context.internal.JTASessionContext`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD